:root {
    --cor-hover-white: #e6ecf5;
    --cor-hover-gray: #dfe5ee;
}

/* ///// BACKGROUNDS ////// */

body,
.tab-nav,
#main.home,
.ais-Hits-list,
.container-intro,
.br-header.compact,
.br-footer.inverted,
.br-menu .menu-item,
.br-menu .menu-header,
.menu-footer .menu-info,
.menu-footer .menu-links,
.br-menu .menu-item.link a,
.br-header.compact .br-list,
.container-files>div:first-child,
.br-select.custom-v4 .br-input input,
.br-header.compact .dropdown .br-item,
.fundamento-container #tabsDiretrizes {
    background: var(--gray-cool-80) !important;
    background-color: var(--gray-cool-80) !important;
}

.br-menu .menu-item.selectedOptionMenu {
    background: #5992ed !important;
    color: #000 !important;
    transition: background 0.2s ease-in-out !important;
}

#tabsDiretrizes.fundamentos .img-block {
    background-color: var(--blue-warm-5);
}

#tabsDiretrizes.padroes .img-block {
    background-color: var(--orange-5);
}

#tabsDiretrizes.componentes .img-block {
    background-color: var(--green-cool-5);
}

#main,
blockquote,
table thead tr th,
.related-card,
pre[class*=language-],
.br-menu a.menu-item,
.fundamento-container .columnMenu,
.fundamento-container .breadcrumb-container {
    background: var(--gray-cool-90) !important;
    background-color: var(--gray-cool-90) !important;
}

#main.home .bg-home {
    background: transparent url("../img/bg-hero-dark.png") repeat-x 0 -50px !important;
    background-color: none !important;
}

.fundamento-container .doc-container {
    background: transparent url("../img/bg-hero-diretrizes-dark.png") repeat-x 0 -80px !important;
    background-color: none !important;
}

.br-step[data-type=simple] .step-progress-btn:before {
    color: var(--gray-60) !important;
    border-color: var(--gray-60) !important;
    background-color: var(--gray-60) !important;
}

/* ///// BORDERS ////// */

.img-block.img-faca,
.img-block.img-recomendado {
    border-left: 4px solid #538200 !important;
}

.img-block.img-nao-recomendado {
    border-left: 4px solid #ffcd07 !important;
}

.img-block.img-nao-faca {
    border-left: 4px solid #e52207 !important;
}

hr,
blockquote,
.br-divider,
.img-block em,
.br-footer,
.br-tab .tab-nav ul,
.contextualMenu .br-list .br-item,
.br-header.compact .br-divider.vertical {
    border-color: var(--gray-70) !important;
}


.related-card,
.br-button.secondary {
    border-color: var(--blue-warm-vivid-30) !important;
}

blockquote.faca,
blockquote.recomendado {
    border-left: 4px solid var(--green-vivid-50) !important;
}

blockquote.nao-recomendado {
    border-left: 4px solid var(--yellow-vivid-20) !important;
}

blockquote.nao-faca {
    border-left: 4px solid var(--red-vivid-50) !important;
}


/* ///// FONT-COLOR ////// */


h1,
h2,
h3,
h4,
h5,
h6,
p,
ul li,
ol li,
table tr td,
table tr td em,
table tr td span,
blockquote.faca>p,
blockquote.nao-faca>p,
blockquote.recomendado>p,
blockquote.nao-recomendado>p,
blockquote.faca>p li,
blockquote.nao-faca>p li,
blockquote.recomendado>p li,
blockquote.nao-recomendado>p li,
table thead tr th,
.contextualMenu .title,
.br-menu div.menu-item,
.menu-footer .menu-info,
.br-footer .info,
.ais-Hits-item .tag-abas,
.feedback-container label,
.br-breadcrumb label {
    color: var(--gray-1) !important;
}

blockquote h1,
blockquote h2,
blockquote h3,
blockquote h4,
blockquote h5,
blockquote h6,
.related-card p,
blockquote label,
blockquote::before,
.fundamento-container .doc-container p,
.fundamento-container .tab-nav .tab-item button span {
    color: var(--gray-20) !important;
}

.img-block em {
    color: var(--gray-20) !important;
    background-color: var(--gray-cool-90) !important;
}

blockquote .img-block em {
    color: var(--gray-1) !important;
    background-color: var(--gray-cool-80) !important;
}

.br-button.btCopyCode.success i,
.br-button.btCopyCode.success span {
    color: var(--pure-0) !important;
}

a,
.br-item a,
.br-button,
.br-button.btCopyCode span,
.br-breadcrumb a,
.related-card i,
.related-card label,
.br-button.secondary,
.br-header.compact .br-button,
.br-select.custom-v4 .br-input input,
.br-select.custom-v4 .br-input input::placeholder,
.br-header.compact .header-actions .header-functions .br-list .br-button {
    color: var(--blue-warm-vivid-30) !important
}

.br-button.primary,
.br-header.compact .br-button.primary {
    background: var(--blue-warm-vivid-30) !important
}

.message .text-message a,
.message .br-button {
    color: var(--blue-warm-vivid-70) !important;
}

.carousel-content.bg2 h3,
.carousel-content.bg2 p,
.carousel-content.bg3 h3,
.carousel-content.bg3 p,
.br-button.primary,
.br-magic-button .br-button,
.br-header.compact .br-button.primary {
    color: var(--pure-100) !important
}

/*actives*/

.contextualMenu .br-list .br-item.item-active a,
.fundamento-container .tab-nav .tab-item.tab-item.active button span,
.fundamento-container .tab-nav .tab-item.tab-item.is-active button span {
    color: var(--blue-warm-vivid-40) !important
}

.br-step .step-progress-btn.active:before,
.br-step .step-progress-btn[active]:before {
    color: var(--blue-warm-vivid-40) !important;
    background-color: var(--blue-warm-vivid-40) !important;
    border-color: var(--blue-warm-vivid-40) !important
}

.contextualMenu .br-list .br-item.item-active,
.fundamento-container .tab-nav .tab-item.tab-item.active button,
.fundamento-container .tab-nav .tab-item.tab-item.is-active button {
    border-color: var(--blue-warm-vivid-40) !important
}



.feedback-container .br-button.secondary.active {
    border: none;
    background-color: var(--blue-warm-vivid-40) !important;
    background: var(--blue-warm-vivid-40) !important;
}

.feedback-container .br-button.secondary.active i {
    color: var(--pure-100);
}


/* ///// HOVERS ////// */

a:hover,
.card:hover,
.channel:hover,
.br-button:hover,
.br-carousel .br-step[data-type="simple"] .step-progress-btn:hover,
.br-button.secondary:hover,
.br-select.custom-v4 .br-input input:hover,
.relatedcard a:hover,
table tbody tr:hover,
.br-breadcrumb a:hover,
.br-header .header-menu .header-title a:hover,
.br-header.compact .br-button:hover,
.contextualMenu .br-list .br-item:hover,
.br-tab .tab-item a:not(:disabled):hover,
.br-tab .tab-item button:not(:disabled):hover {
    background: #20252E !important;
    background-color: #20252E !important;
}

.message .text-message a:hover {
    background-color: #e5ecf6 !important;
}

.message .br-button:hover {
    background-color: #ccd4e7 !important;
}

.br-button.primary.disabled:hover {
    background: var(--blue-warm-vivid-30) !important
}

.br-magic-button .br-button:hover {
    background-color: #a2e7ad !important;
}

.carousel-content.bg1 a:hover {
    background-color: rgba(32, 37, 46, 0.3) !important;
}

.carousel-content.bg2 a:hover {
    background-color: rgba(32, 37, 46, 0.1) !important;
}

.fundamento-container #panel-3 table tbody tr:hover {
    background: none !important;
}

.fundamento-container #panel-3 table tbody tr td:hover code {
    color: var(--pure-100) !important;
    background: var(--cor-hover-white);
}

.br-button.btCopyCode.success:hover i,
.br-button.btCopyCode.success:hover span {
    color: var(--pure-0) !important;
}

.br-button.btCopyCode.success,
.br-button.btCopyCode.success:hover {
    background: var(--green-vivid-50) !important;
    background-color: var(--green-vivid-50) !important;
}

#btCloseSearch.br-button.primary:hover,
#btSearch.br-button.primary:hover {
    color: var(--blue-warm-vivid-30) !important;
}

/* ///// IMAGES ////// */


.img-light-theme {
    display: none !important;
}

.img-dark-theme {
    display: inline !important;
}

/* ///// BORDER ////// */

.main-content pre[class*=language-],
.fundamento-container pre[class*=language-] {
    border: none;
    border-radius: 0px;
    box-shadow: inset 0px 0px 18px -3px rgba(0, 0, 0, 0.5);
}



/* ///// PRISM ////// */

code[class*=language-],
pre[class*=language-] {
    text-shadow: none !important;
    color: #f8f8f2 !important;
}

.token.comment {
    color: #8292a2 !important;
}

.token.punctuation {
    color: #f8f8f2 !important;
}

.token.tag {
    color: #f92672 !important;
}

.token.attr-name {
    color: #a6e22e !important;
}

.token.attr-value {
    color: #e6db74 !important;
}